id: sprectrum_tools_Energy_Detector_ouput
label: Energy_Detector_ouput
category: '[sprectrum_tools]'

templates:
  imports: import sprectrum_tools
  make: sprectrum_tools.Energy_Detector_ouput(${samples}, ${Pfa})

#  Make one 'parameters' list entry for every parameter you want settable from the GUI.
#     Keys include:
#     * id (makes the value accessible as \$keyname, e.g. in the make entry)
#     * label (label shown in the GUI)
#     * dtype (e.g. int, float, complex, byte, short, xxx_vector, ...)
parameters:
-   id: samples
    label: samples
    dtype: int
    default: '1024'
-   id: Pfa
    label: Pfa
    dtype: float
    default: '0.1'

#  Make one 'inputs' list entry per input and one 'outputs' list entry per output.
#  Keys include:
#      * label (an identifier for the GUI)
#      * domain (optional - stream or message. Default is stream)
#      * dtype (e.g. int, float, complex, byte, short, xxx_vector, ...)
#      * vlen (optional - data stream vector length. Default is 1)
#      * optional (optional - set to 1 for optional inputs. Default is 0)
inputs:
-   domain: stream
    dtype: float
    vlen: ${ samples }
-   domain: stream
    dtype: float
    vlen: ${ samples }

outputs:
-   domain: stream
    dtype: float

#  'file_format' specifies the version of the GRC yml format used in the file
#  and should usually not be changed.
file_format: 1
